
Katello - Bug #4809

katello-jobs takes a really really long time to restart

03/24/2014 08:11 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

From MDP2:

1. time service katello-jobs restart

Starting katello-jobs:                                     [  OK  ]

real    0m50.070s

From katello-nightly:

1. time service katello-jobs restart

Starting katello-jobs:                                     [  OK  ]

real    2m18.895s

Related issues:

Related to Katello - Refactor #6297: Remove katello-jobs Closed 06/19/2014

History

#1 - 03/24/2014 08:11 PM - Mike McCune

- Triaged changed from No to Yes

#2 - 03/24/2014 09:11 PM - Mike McCune

Also effects the 1st page render after a restart.

See strace logfile here:

http://mmccune.fedorapeople.org/scratch/strace-rails-1stpage.log.gz

#3 - 03/25/2014 09:22 AM - Ivan Necas

Getting rid of delayed jobs should get us back on the original re-start time. It takes twice as long now, as there are two workers started: dynflow and

delayed jobs

#4 - 03/25/2014 01:27 PM - Mike McCune

- Priority changed from Normal to High

#5 - 03/25/2014 01:44 PM - Ivan Necas

To give some backgound on the issue: there are two things:

1. delayed-jobs starting

2. dynflow execution starting

Both of them need to load the whole Rails environment to be able to do some work. We can move

away from dealyed-jobs quite soon, so I would not spend more time tuning the up
http://mmccune.fedorapeople.org/scratch/strace-rails-1stpage.log.gz


With dynflow executor, it would not help much not waiting for the environment to fully start,

as the Katello orchestration needs it to be running. So we would have faster start, but the

service would not be ready anyway (this is a trick that many init scripts do, but I consider

that cheating, causing more harm than benefit)

We could investigate why loading Rails environment takes so long and eliminate that as well.

I would help with unit testing as well.

#6 - 08/18/2014 02:11 PM - Eric Helms

- Related to Refactor #6297: Remove katello-jobs added

#7 - 08/18/2014 02:11 PM - Eric Helms

- Target version set to 55

- translation missing: en.field_release set to 13

#8 - 08/20/2014 08:08 AM - Eric Helms

- Status changed from New to Closed
